Cyberduck Mountain Duck CLI

#7839 closed defect (fixed)

Small downloaded gzipped files are truncated

Reported by: baugarten Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: s3 Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Files <1MB, uploaded to s3, are different when downloaded directly and when downloaded through CyberDuck.

It appears that downloading through CyberDuck truncates the file.

I verified this by downloading the file directly from s3 using the s3 command line tools and then downloading the same file from CyberDuck and the diff clearly shows that the CyberDuck version is truncated

Attachments (1)

logdrawer.rtf (7.6 KB) - added by baugarten on Mar 21, 2014 at 2:54:41 PM.
output of log drawer

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Mar 6, 2014 at 9:58:31 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 4.4.4
  • Owner set to dkocher

comment:2 Changed on Mar 11, 2014 at 4:34:31 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Possibly fixed in r14195. Please try the latest snapshot build available.

comment:3 Changed on Mar 20, 2014 at 6:33:56 PM by baugarten

Since updating the the latest snapshot build, I haven't been able to download any gzipped files. I get

Transfer Incomplete
0 B out of XXX KB

Please let me know if there is any additional information I can provide

Last edited on Mar 21, 2014 at 2:34:34 PM by dkocher (previous) (diff)

comment:4 Changed on Mar 21, 2014 at 2:35:27 PM by dkocher

Please post the error message and the transcript from View → Log Drawer. Can you find any related output in the console.log (/Applications/Utilities/Console.app)?

comment:5 Changed on Mar 21, 2014 at 2:53:31 PM by baugarten

Nothing in Console, but in the Log Drawer, I see

GET /?delimiter=%2F&max-keys=1000&prefix=audit%2Ftwitter%2Fprod%2Fautomattic%2Ftrack%2F2014%2F HTTP/1.1
Date: Fri, 21 Mar 2014 14:52:44 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:eVRZqUvffpoy7GLpM7vltVDp/w8=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: XY2xk6a5faJzpSHdgBoYStcJ8ksMx9WNG8haOeCr4qYf8UKhIkELNbNnW9RdxcK2
x-amz-request-id: DC575B9AFB947C8D
Date: Fri, 21 Mar 2014 14:52:47 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 21 Mar 2014 14:52:46 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:ZMXpaQoLRTWoDoNaCoMZqoSzi+Y=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: x3aXIvddPeLzVijF4SVEEuWT1XQrXcfbT9cshb8jdsBLbpD+fGLdSgNsOGMjzvv2
x-amz-request-id: 6A107A2F5C9911B9
Date: Fri, 21 Mar 2014 14:52:47 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 21 Mar 2014 14:52:46 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:ZMXpaQoLRTWoDoNaCoMZqoSzi+Y=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: fa4PRra6dWb29Y+K4SBj+aXiP0VEY0yjmidyTWpDH27BbJ3XDpQrfNSgg9Ns94R4
x-amz-request-id: 3CBB247540451FDF
Date: Fri, 21 Mar 2014 14:52:47 GMT
Transfer-Encoding: chunked
Server: AmazonS3
HEAD /audit%2Ftwitter%2Fdevelopment%2Ftwitter%2Ftrack%2F2014%2F03%2F06%2F19%2F3554_sadsd_2--baugarten--62--test_3f1ae067-1c9d-40ed-8711-f2a4de9651e8.8a96c8a4-5ba6-4ed9-a620-7009b94563a5.v3.csv.gz HTTP/1.1
Date: Fri, 21 Mar 2014 14:52:46 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:wBNuTLIeXxBQcUitEKYoUA0QlEk=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: vFHwb3/Oapye7Oq09kbNTQQ9NiVyRsW3DGyQMQxmiaKNGwjyDTXENZzw7hK4XdJg
x-amz-request-id: 14F969AA96C6EB72
Date: Fri, 21 Mar 2014 14:52:47 GMT
x-amz-meta-md5-hash: bb4856580e3dc98a2941f63730988df6
Content-Encoding: gzip
Last-Modified: Thu, 06 Mar 2014 19:35:52 GMT
ETag: "bb4856580e3dc98a2941f63730988df6"
Accept-Ranges: bytes
Content-Type: application/json
Content-Length: 5398
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 21 Mar 2014 14:52:46 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:ZMXpaQoLRTWoDoNaCoMZqoSzi+Y=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: KG6mE0NOWHhI9kovaWrzOmVbLIYQInDulviJD+2xEvb1ZkNoUyaZdQSsfV0OC249
x-amz-request-id: DF986696F17D30B6
Date: Fri, 21 Mar 2014 14:52:47 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /audit%2Ftwitter%2Fdevelopment%2Ftwitter%2Ftrack%2F2014%2F03%2F06%2F19%2F3554_sadsd_2--baugarten--62--test_3f1ae067-1c9d-40ed-8711-f2a4de9651e8.8a96c8a4-5ba6-4ed9-a620-7009b94563a5.v3.csv.gz HTTP/1.1
Date: Fri, 21 Mar 2014 14:52:46 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:03ykdNeH97tPpxFciGGg0IUuMU0=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 3mxoA9k0ddjw0tMcqcXnFEqiin6kpwBaxLfTbpNmU88v/KbhmgqjEVWFBlMqwC/u
x-amz-request-id: AE71B8955658F606
Date: Fri, 21 Mar 2014 14:52:47 GMT
x-amz-meta-md5-hash: bb4856580e3dc98a2941f63730988df6
Content-Encoding: gzip
Last-Modified: Thu, 06 Mar 2014 19:35:52 GMT
ETag: "bb4856580e3dc98a2941f63730988df6"
Accept-Ranges: bytes
Content-Type: application/json
Content-Length: 5398
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=audit%2Ftwitter%2Fprod%2Fautomattic%2Ftrack%2F2014%2F HTTP/1.1
Date: Fri, 21 Mar 2014 14:53:05 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:Na4e18HfJ7feSZD/uUlL8+5JoNA=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: X6J7C9NAK9hEuTvd8VW4xH6+XJzew2UQk4T6KWQtEZJD9hnpyR3yXfblOIcrgwLn
x-amz-request-id: 48266A36E5479C58
Date: Fri, 21 Mar 2014 14:53:08 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 21 Mar 2014 14:53:07 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:UEIiocswKWTOXCipH7nZMGrF/E4=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: D+mcRKD6KFToqLOQA8NRdaXa4P58DrxHGhvI4uE9thhviaY5RQf60uROn+bIxJRj
x-amz-request-id: A19E78A31B97E435
Date: Fri, 21 Mar 2014 14:53:08 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 21 Mar 2014 14:53:07 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:UEIiocswKWTOXCipH7nZMGrF/E4=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: JIN1QiY7wwnlW7Ljs7e0k4PLzltrlWk4a5mIv+aRDwDWHo0zFr722wW97l7KgRfA
x-amz-request-id: F61B68F626C86122
Date: Fri, 21 Mar 2014 14:53:08 GMT
Transfer-Encoding: chunked
Server: AmazonS3
HEAD /audit%2Ftwitter%2Fdevelopment%2Ftwitter%2Ftrack%2F2014%2F03%2F06%2F19%2F3554_sadsd_2--baugarten--62--test_3f1ae067-1c9d-40ed-8711-f2a4de9651e8.8a96c8a4-5ba6-4ed9-a620-7009b94563a5.v3.csv.gz HTTP/1.1
Date: Fri, 21 Mar 2014 14:53:08 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:5feNMotyLR1FjjfadC4NYdYNcWE=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 4tOOkBmS727KZAApAMcxbGVerI25KNmOFpHtrZxghbeBFJsAa+/QoUbsIV987fjm
x-amz-request-id: 36A7510C0472A287
Date: Fri, 21 Mar 2014 14:53:09 GMT
x-amz-meta-md5-hash: bb4856580e3dc98a2941f63730988df6
Content-Encoding: gzip
Last-Modified: Thu, 06 Mar 2014 19:35:52 GMT
ETag: "bb4856580e3dc98a2941f63730988df6"
Accept-Ranges: bytes
Content-Type: application/json
Content-Length: 5398
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 21 Mar 2014 14:53:08 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:5esnGcFy9tgW18n+Jq1B6VHc+Rs=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: tGriD+khUXKej2MHqcwTKBBBrWj2ojCOpfam5gDhXK7HbSQul/ln95tQN7tewNSV
x-amz-request-id: BEC5AB932EDA4B8E
Date: Fri, 21 Mar 2014 14:53:09 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /audit%2Ftwitter%2Fdevelopment%2Ftwitter%2Ftrack%2F2014%2F03%2F06%2F19%2F3554_sadsd_2--baugarten--62--test_3f1ae067-1c9d-40ed-8711-f2a4de9651e8.8a96c8a4-5ba6-4ed9-a620-7009b94563a5.v3.csv.gz HTTP/1.1
Date: Fri, 21 Mar 2014 14:53:08 GMT
Authorization: AWS AKIAI3FLBAH4XJYWRDKQ:QHoWqdy5eo64ymlnhbPxM645/Ig=
Host: archive.hosey.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.2) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: FLoeMiYcS9js699nYbaB73xGNIfHK0VAFgyPH7IOP1k+YRQy4VqB2biFxVu9oyRv
x-amz-request-id: 4DF574092F9A3E35
Date: Fri, 21 Mar 2014 14:53:09 GMT
x-amz-meta-md5-hash: bb4856580e3dc98a2941f63730988df6
Content-Encoding: gzip
Last-Modified: Thu, 06 Mar 2014 19:35:52 GMT
ETag: "bb4856580e3dc98a2941f63730988df6"
Accept-Ranges: bytes
Content-Type: application/json
Content-Length: 5398
Server: AmazonS3
Last edited on Mar 21, 2014 at 3:07:54 PM by dkocher (previous) (diff)

Changed on Mar 21, 2014 at 2:54:41 PM by baugarten

output of log drawer

Note: See TracTickets for help on using tickets.
swiss made software